clang-tools 10.0.0

Public Member Functions | List of all members
clang::clangd::LoggingSession Class Reference

Only one LoggingSession can be active at a time. More...

`#include <Logger.h>`

## Public Member Functions
| LoggingSession (clangd::Logger &Instance)
| ~LoggingSession ()
| LoggingSession (LoggingSession &&)=delete
LoggingSession & | operator= (LoggingSession &&)=delete
| LoggingSession (LoggingSession const &)=delete
LoggingSession & | operator= (LoggingSession const &)=delete

## Detailed Description

Only one LoggingSession can be active at a time.

Definition at line 77 of file Logger.h.

## Constructor & Destructor Documentation

## ◆ LoggingSession() [1/3]

clang::clangd::LoggingSession::LoggingSession | ( | clangd::Logger & | Instance | ) |

Definition at line 23 of file Logger.cpp.

## ◆ ~LoggingSession()

clang::clangd::LoggingSession::~LoggingSession | ( |  | ) |

Definition at line 28 of file Logger.cpp.

## ◆ LoggingSession() [2/3]

clang::clangd::LoggingSession::LoggingSession | ( | LoggingSession && |  | ) |
| delete

## ◆ LoggingSession() [3/3]

clang::clangd::LoggingSession::LoggingSession | ( | LoggingSession const & |  | ) |
| delete

## Member Function Documentation

## ◆ operator=() [1/2]

LoggingSession& clang::clangd::LoggingSession::operator= | ( | LoggingSession && |  | ) |
| delete

## ◆ operator=() [2/2]

LoggingSession& clang::clangd::LoggingSession::operator= | ( | LoggingSession const & |  | ) |
| delete

The documentation for this class was generated from the following files:

- Logger.h
- Logger.cpp